Loading...
Searching...
No Matches
juce::AlertWindow::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide alert-window drawing functionality.

The documentation for this struct was generated from the following file:

- juce_gui_basics/windows/juce_AlertWindow.h

Inheritance diagram for juce::AlertWindow::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual AlertWindow * | createAlertWindow (const String &title, const String &message, const String &button1, const String &button2, const String &button3, MessageBoxIconType iconType, int numButtons, Component *associatedComponent)=0
virtual void | drawAlertBox (Graphics &, AlertWindow &, const Rectangle< int > &textArea, TextLayout &)=0
virtual int | getAlertBoxWindowFlags ()=0
virtual Array< int > | getWidthsForTextButtons (AlertWindow &, const Array< TextButton * > &)=0
virtual int | getAlertWindowButtonHeight ()=0
virtual Font | getAlertWindowTitleFont ()=0
virtual Font | getAlertWindowMessageFont ()=0
virtual Font | getAlertWindowFont ()=0

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::AlertWindow::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## createAlertWindow()

virtual AlertWindow * juce::AlertWindow::LookAndFeelMethods::createAlertWindow | ( | const String & | title,
|  | const String & | message,
|  | const String & | button1,
|  | const String & | button2,
|  | const String & | button3,
|  | MessageBoxIconType | iconType,
|  | int | numButtons,
|  | Component * | associatedComponent )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::AlertWindow::AlertWindow().

## drawAlertBox()

virtual void juce::AlertWindow::LookAndFeelMethods::drawAlertBox | ( | Graphics & | ,
|  | AlertWindow & | ,
|  | const Rectangle< int > & | textArea,
|  | TextLayout & | )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::AlertWindow::AlertWindow().

## getAlertBoxWindowFlags()

virtual int juce::AlertWindow::LookAndFeelMethods::getAlertBoxWindowFlags | ( |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

## getWidthsForTextButtons()

virtual Array< int > juce::AlertWindow::LookAndFeelMethods::getWidthsForTextButtons | ( | AlertWindow & | ,
|  | const Array< TextButton * > & | )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::AlertWindow::AlertWindow().

## getAlertWindowButtonHeight()

virtual int juce::AlertWindow::LookAndFeelMethods::getAlertWindowButtonHeight | ( |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

## getAlertWindowTitleFont()

virtual Font juce::AlertWindow::LookAndFeelMethods::getAlertWindowTitleFont | ( |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

## getAlertWindowMessageFont()

virtual Font juce::AlertWindow::LookAndFeelMethods::getAlertWindowMessageFont | ( |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

## getAlertWindowFont()

virtual Font juce::AlertWindow::LookAndFeelMethods::getAlertWindowFont | ( |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited